services:
  vdo-ninja-version:
    image: ${CI_REGISTRY}/studio-r215/containerize/vdo-ninja:24
    build:
      dockerfile: Dockerfile
      context: ./docker/vdo-ninja
      cache_from:
        - ${CI_REGISTRY}/studio-r215/containerize/vdo-ninja:24

  coder-ubuntu-python-22:
      image: ${CI_REGISTRY}/studio-r215/containerize/coder-ubuntu-python:22
      build:
          dockerfile: Dockerfile
          context: ./docker/coder-ubuntu_22-python
          cache_from:
            - ${CI_REGISTRY}/studio-r215/containerize/coder-ubuntu-python:22

  coder-med:
    image: ${CI_REGISTRY}/studio-r215/containerize/coder-med:25
    build:
      dockerfile: Dockerfile
      context: ./docker/coder-med
      cache_from:
        - ${CI_REGISTRY}/studio-r215/containerize/coder-med:25

  libre-translate-cuda:
    image: ${CI_REGISTRY}/studio-r215/containerize/libre-translate:latest-cuda
    build:
      dockerfile: Dockerfile
      context: ./docker/libre-translate
      cache_from:
        - ${CI_REGISTRY}/studio-r215/containerize/libre-translate:latest-cuda

  php-fpm_83:
    image: ${CI_REGISTRY}/studio-r215/containerize/php-fpm:83
    build:
      dockerfile: Dockerfile
      context: ./docker/php-fpm_83
      cache_from:
        - ${CI_REGISTRY}/studio-r215/containerize/php-fpm:83